Get Playlist Last Updated Time

Return the last time the playlist itself was observed updated by Chartmetric, and the most recent track add/removal events. For Spotify, also includes tracks_last_updated from the ClickHouse cache.

Path Parameters
  • platform
    Type: string enum
    required

    Streaming platform. One of spotify, itunes/applemusic, deezer, amazon, youtube, boomplay, soundcloud.

    values
    • spotify
    • itunes
    • applemusic
    • deezer
    • amazon
    • youtube
    • boomplay
    • soundcloud
  • id
    required

    Chartmetric playlist ID. Numeric for spotify/itunes/applemusic/boomplay; numeric string (bigInt) for deezer; string for amazon/youtube.

    • Type: integer

      Chartmetric playlist ID. Numeric for spotify/itunes/applemusic/boomplay; numeric string (bigInt) for deezer; string for amazon/youtube.

Query Parameters
  • storefront
    Type: string
    min length:  
    2
    max length:  
    2

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

Responses
  • application/json
Request Example for get/api/playlist/{platform}/{id}/updated
curl https://api.chartmetric.com/api/playlist/spotify/1/updated \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "sys_last_updated": "2022-07-28T00:00:00.000Z",
    "last_added": "2022-07-22T00:04:38.539Z",
    "last_removed": "2022-07-22T00:04:41.687Z"
  }
}